{% extends 'base.html.twig' %}

{% block title %}Liste des utilisateurs{% endblock %}

{% block body %}
    <main class="container mt-0 md:mt-12">
        <h1>Liste des utilisateurs</h1>

        {% for message in app.flashes('success') %}
					<div class="flash-message flash-success">
						{{ message }}
					</div>
        {% endfor %}

        <div class="flex flex-col my-6">
			<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
				<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
					<input type="text" name="searchTableUsers" placeholder="Recherchez parmi les utilisateurs">
					<table id="searchTableUsers" class="min-w-full">
						<thead>
							<tr>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Adresse email
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Nom
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Prénom
								</th>
                                <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Numéro de téléphone
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Rôles
								</th>
								<th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
							</tr>
						</thead>

						<tbody class="bg-white">
							{% for user in users %}
								<tr>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										<div class="text-sm font-medium leading-5 text-gray-900">{{ user.email }}</div>
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ user.name }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ user.surname }}
									</td>
                                    <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ user.phone }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                        {% for role in user.roles %}
                                            {{ role == 'ROLE_SUPER_ADMIN' ? 'Superadmin ' : ''}}
                                            {{ role == 'ROLE_EDITEUR_ADMIN' ? 'Admin des éditeurs ' : ''}}
                                            {{ role == 'ROLE_BENEVOLE_ADMIN' ? 'Admin des bénévoles ' : ''}}
                                            {{ role == 'ROLE_PROTO_ADMIN' ? 'Admin des protozones ' : ''}}
                                            {{ role == 'ROLE_RESPONSABLE' ? 'Exposant (Responsable) ' : ''}}
                                            {{ role == 'ROLE_SALARIE' ? 'Exposant (Salarié) ' : ''}}
                                            {{ role == 'ROLE_BENEVOLE' ? 'Bénévole ' : ''}}
                                        {% endfor %}
									</td>
									<td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
										<a href="{{ path('user_show', {'id': user.id}) }}" class="mr-4 text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Voir</a>
										<a href="{{ path('user_edit', {'id': user.id}) }}" class="text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
									</td>
								</tr>
							{% else %}
								<tr>
									<td class="px-6 py-4" colspan="5">Aucune données</td>
								</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>
			</div>
		</div>

        <a class="btn" href="{{ path('user_new') }}">Créer un nouveau utilisateur</a>
    </main>
{% endblock %}
